package com.diagbot.config;

import com.diagbot.idc.InvisibleIdCreater;
import com.diagbot.idc.VisibleIdCreater;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @Description: ID生成器配置
 * @author: gaodm
 * @time: 2018/9/20 10:43
 */
@Configuration
public class IdcConfigurer {

    @Bean
    public VisibleIdCreater visibleIdCreater() {
        return new VisibleIdCreater(0, 0);
    }

    @Bean
    public InvisibleIdCreater invisibleIdCreater() {
        return new InvisibleIdCreater(0, 0);
    }
}
